<template>
  <div class="Banner">
    <div class="heart">
      <div class="title">GB28181配置</div>
      <div class="des">支持国标服务，接入国标摄像机。</div>
      <div class="button" @click="jump">立即开通</div>
    </div>
  </div>
</template>

<script>
import { enableMenu } from "@/api/user";

export default {
  methods: {
    async jump() {
      /*  console.log(JSON.parse(sessionStorage.getItem("userInfo")).id);
      await enableMenu({
        userId: JSON.parse(sessionStorage.getItem("userInfo")).id,
        menuId: "89098e9f-baaa-4a69-9e9b-26444dd69ff6",
      }); */
      this.$router.push("/GB28181");
    },
  },
};
</script>

<style scoped lang="scss">
.Banner {
  overflow: hidden;
  height: 480px;
  background-image: url("/images/hashrate/banner.png");
  color: #fff;

  .title {
    margin: 122px 0 10px 0;
    font-size: 48px;
  }

  .des {
    margin-bottom: 82px;
    width: 560px;
    font-size: 16px;
    line-height: 24px;
  }

  .button {
    width: 160px;
    height: 56px;
    background: #0065ff;
    text-align: center;
    line-height: 56px;
  }
}
</style>